import {
  Component, h, useProp, useState,
} from "atomico";
import style from "./kun-loading-button.scss";
import "../kun-button-puer/kun-button-puer";
import { getComponentOrDefine } from "../../hooks/aync-hook/redirect";

const KunLoadingButton = () => {
  const [needleContent] = useProp<string>("needleContent");
  const [loading, setLoading] = useState(false);

  return (
    <host>
      <style>{style}</style>
      <kun-button-puer needleContent={needleContent} loading={loading} />
    </host>
  );
};

KunLoadingButton.props = {
};

export default getComponentOrDefine("kun-loading-button", KunLoadingButton);
